package org.prlab.idic.privacypolicy.adapter;

import android.content.res.Resources;
import android.graphics.Color;
import android.support.v7.widget.RecyclerView;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import org.prlab.idic.privacypolicy.R;
import org.prlab.idic.privacypolicy.pojo.report.InfoItem;

import java.util.List;

/**
 * Created by IDIC on 2017/2/23.
 */
public class InfoItemRecyclerViewAdapter extends RecyclerView.Adapter<InfoItemRecyclerViewAdapter.ViewHolder> {

    private List<InfoItem> items;
    private int layout;
    private int separatedColor;

    public InfoItemRecyclerViewAdapter(List<InfoItem> items, int layout) {
        this(items, layout, -1);
    }

    public InfoItemRecyclerViewAdapter(List<InfoItem> items, int layout, int separatedColor) {
        this.items = items;
        this.layout = layout;
        this.separatedColor = separatedColor;
    }

    @Override
    public InfoItemRecyclerViewAdapter.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        View view = LayoutInflater.from(parent.getContext()).inflate(layout, parent, false);
        return new InfoItemRecyclerViewAdapter.ViewHolder(view);
    }

    @Override
    public void onBindViewHolder(ViewHolder holder, int position) {
        InfoItem item = items.get(position);
        holder.mKeyTextView.setText(item.getKey());
        holder.mValueTextView.setText(item.getValue());
        if (separatedColor != -1) {
            if (position % 2 == 0) {
                holder.itemView.setBackgroundColor(separatedColor);
            }
        }
    }

    @Override
    public int getItemCount() {
        return null == items ? 0 : items.size();
    }

    class ViewHolder extends RecyclerView.ViewHolder {

        private TextView mKeyTextView;
        private TextView mValueTextView;

        ViewHolder(View itemView) {
            super(itemView);
            mKeyTextView = (TextView) itemView.findViewById(R.id.text_key);
            mValueTextView = (TextView) itemView.findViewById(R.id.text_value);
        }


    }

}
